/*****************************************************************************************/
/* Communication Bluetooh Android vers Arduino                                           */
/* Terminale sti2d Saint jean Baptiste de la Salle                                       */
/* David RODRIGUEZ                                                                       */
/* Année Scolaire 2023-2024                                                              */
/*                                                                                       */
/* Support utilisé au démarrage https://youtu.be/aQcJ4uHdQEA                             */
/*****************************************************************************************/

#include <SoftwareSerial.h>                 // Bibliothèque d'outils pour la gestion des ports série
SoftwareSerial BTSerial(2, 3);              // Emulation d'un port série BTSerial avec comme arguments (RX,TX)
                                            // la déclaration de ce port permets de ne pas avoir déconnecter 
                                            // le port Standard qui est lui utilisé pour le téléversement des programmes
int Octet1 = 0;
int Octet2 = 0;
int value = 0;
                
void setup() {
  Serial.begin(9600);                       // Initialisation du port série pour la console d'affichage
  BTSerial.begin(9600);                     // Initialisation du port série pour la comminucation Bluetooth      
  pinMode(13, OUTPUT);  
  pinMode(11, OUTPUT);       
}

void loop() {
   if (BTSerial.available() >= 2)  {
    Octet1 = BTSerial.read();
    Octet2 = BTSerial.read();
    Serial.println("------ OCTETS ----");
    Serial.print("Octet1 : ");
    Serial.println(Octet1);
    Serial.print("Octet2 : ");
    Serial.println(Octet2);  
    value = (Octet2 << 8) | Octet1;           // Combinez les deux octets pour obtenir une valeur 16 bits "value"
  Serial.print("Valeur lue : ");
  Serial.println(value);
    }
}
